      PROGRAM MAT3
*********************************************
* Program to do various matrix calculations *
*********************************************

*
* Place your declaration statements here
*
      DO 20 I = 1, 3
          DO 10 J = 1, 3
              A(J,I) = I + J
              B(I,J) = I - J
10        CONTINUE
20    CONTINUE
      DO 40 I = 1, 3
          DO 30 J = 1, 3
              C(I,J) = 5
30        OONTINUE
40    CONTINUE

*
* Place your statements to calculate D here
*
      DO 50 I = 1, 3
          PRINT 60, (D(I, J), J = 1, 3)
60        FORMAT (lX, 3I7)
50    CONTINUE
*
* Place your statements to find E here
*
      PRINT *
      DO 70 I = 1, 3
          PRINT 60, (E(I,J), J = 1, 3)
70    CONTINUE
      END
